Loading...
Searching...
No Matches
coap_rblock_t Struct Reference
Libcoap Internal API » Block Transfer

Structure to keep track of received blocks. More...

`#include <coap_block_internal.h>`

Collaboration diagram for coap_rblock_t:
[legend]

## Data Fields

uint32_t | used
uint32_t | retry
struct coap_lg_range | range [COAP_RBLOCK_CNT]
coap_tick_t | last_seen

## Detailed Description

Structure to keep track of received blocks.

Definition at line 104 of file coap_block_internal.h.

## Field Documentation

## last_seen

coap_tick_t coap_rblock_t::last_seen

Definition at line 112 of file coap_block_internal.h.

## range

struct coap_lg_range coap_rblock_t::range[COAP_RBLOCK_CNT]

Definition at line 111 of file coap_block_internal.h.

## retry

uint32_t coap_rblock_t::retry

Definition at line 106 of file coap_block_internal.h.

## used

uint32_t coap_rblock_t::used

Definition at line 105 of file coap_block_internal.h.

The documentation for this struct was generated from the following file:

- coap_block_internal.h